腾讯云-WDCP安装多版本PHP及Redis

说明

WDCP面板安装完成后,默认PHP版本(5.5.38)已经安装Redis扩展,但自行安装其它版本的PHP后,并没有安装对应的Redis,本文介绍如何安装多版本PHP及对应的Redis扩展。

操作步骤

1、安装多版本PHP

运行命令

wget http://down.wdlinux.cn/in/phps.sh

sh phps.sh

根据提示可安装指定版本,也可以安装全部可用PHP版本

2、安装Redis扩展

运行命令

wget http://down.wdlinux.cn/in/phps_redis.sh

sh phps_redis.sh

可默认安装全部存在的PHP版本对应的Redis

3、处理PHP7.2/7.3的Redis(可选)

第2步操作仅可支持PHP7.2以下的版本,如PHP7.2及7.3无法通过第2步完成Redis的安装,则需要对phps_redis.sh进行编辑。

无法安装的原因是WDCP提供的脚本版本略旧,里面并未写上PHP7.2及7.3对应的Redis安装操作,所以只需在脚本下图位置(约36行、38行)添加对应的PHP版本号即可

引用文章

v3升级到v3.2后,多PHP版本共存的安装方法

https://www.wdlinux.cn/bbs/thread-57646-1-1.html

多版本PHP的zend,memcache,redis等组件的安装方法

https://www.wdlinux.cn/bbs/thread-57774-1-1.html

发表评论